/*!
 * gitmars v4.0.0-alpha.17
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
import i18n from '#lib/locales/index';

const cmdConfig = {
  command: "link",
  short: null,
  args: [
    {
      required: false,
      name: "name",
      variadic: false,
      validator: (val, opts, cb) => {
        if (/\s+/.test(val)) {
          cb(new Error(i18n.__("Please do not enter spaces")));
          return;
        }
        cb();
      },
      description: i18n.__("Name of the package")
    }
  ],
  options: []
};

export { cmdConfig, cmdConfig as default };
