/*!
 * gitmars v4.0.0-alpha.17
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
import i18n from '#lib/locales/index';

const cmdConfig = {
  command: "revert",
  short: "rt",
  args: [
    {
      required: false,
      name: "commitid",
      variadic: false,
      validator: (val, opts, cb) => {
        cb();
      },
      description: i18n.__("ID of the undo needed")
    }
  ],
  options: [
    {
      flags: "-n, --number [number]",
      required: false,
      optional: true,
      variadic: false,
      mandatory: false,
      short: "-n",
      long: "--number",
      negate: false,
      description: i18n.__(
        "Undo the last commit (or undo the penultimate nth commit)"
      ),
      defaultValue: ""
    },
    {
      flags: "-m, --mode [mode]",
      required: false,
      optional: true,
      variadic: false,
      mandatory: false,
      short: "-m",
      long: "--mode",
      negate: false,
      description: i18n.__(
        "For undoing a merge record, the type to be passed in: 1 = keep current branch code, 2 = keep incoming code"
      ),
      defaultValue: "",
      options: ["1", "2"],
      value: "1"
    }
  ],
  validatorOpts: (val, opts, cb) => {
    cb();
  },
  validatorArgs: (val, opts, cb) => {
    cb();
  },
  transformOpts: (val, opts, cb) => {
    cb();
  },
  transformArgs: (val, opts, cb) => {
    cb();
  }
};

export { cmdConfig, cmdConfig as default };
