#!/usr/bin/env node
/*!
 * gitmars v4.0.0-alpha.17
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
import { program } from 'commander';
import { createArgs } from '@gitmars/core/lib/utils/command';
import run from '@gitmars/core/lib/hook/run';
import runConfig from '#lib/conf/run';
import i18n from '#lib/locales/index';

const { args, options } = runConfig;
program.name("gitm run").usage("[command] [args...]").description(i18n.__("git hook run command"));
if (args.length > 0)
  program.arguments(createArgs(args));
options.forEach((o) => {
  program.option(o.flags, o.description, o.defaultValue);
});
program.action((command, args2, opt) => {
  run(command, args2, opt);
});
program.parse(process.argv);
